Skip to main content
`Ctrl`+`K`

# PetscLogStateGetClassFromClassId

Get a `PetscLogClass` from the `PetscClassId` it was registered with.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateGetClassFromClassId(PetscLogState state, PetscClassId classid, PetscLogClass *clss)

Not collective

## Input Parameters

- state - a `PetscLogState`

- classid - a `PetscClassId`

## Output Parameter

- clss - the classes’s logging id

## See Also

Profiling, `PetscLogState`, `PetscLogStateClassRegister()`, `PetscLogStateClassGetInfo()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages